<?php
/**
*
* @author Shredder
* @version $Id$
* @copyright (c) 2013 www.phpbb-work.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include($phpbb_root_path . 'common.' . $phpEx);
$user->session_begin();
$auth->acl($user->data);
$user->setup();

if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// The name of the mod to be displayed during installation.
$mod_name = 'INSTALL_MULTIPLE_UPLOAD';
$language_file = 'mods/info_acp_multiple_upload';

/*
* The name of the config variable which will hold the currently installed version
* UMIL will handle checking, setting, and updating the version itself.
*/
$version_config_name = 'multiple_file_upload';

$values = array_filter(array(@ini_get('max_file_uploads'), @ini_get('suhosin.upload.max_uploads')));
$forms_limit = (!empty($values)) ? (int) min($values) : 0;

/*
* The array of versions and actions within each.
* You do not need to order it a specific way (it will be sorted automatically), however, you must enter every version, even if no actions are done for it.
*
* You must use correct version numbering.  Unless you know exactly what you can use, only use X.X.X (replacing X with an integer).
* The version numbering must otherwise be compatible with the version_compare function - http://php.net/manual/en/function.version-compare.php
*/
$versions = array(
	'1.0.3' => array(
		'config_add' => array(
			array('multiple_upload_limit', $forms_limit, 0),
		),

		'custom'	=> 'install_mod_info',

		'cache_purge' => array(),
	),
);

function install_mod_info()
{	
	return 'INSTALL_MOD_SUPPORT';
}

// Include the UMIL Auto file, it handles the rest
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);

?>